# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "quandl/cassandra/version"

Gem::Specification.new do |s|
  s.name        = "quandl_cassandra"
  s.version     = Quandl::Cassandra::VERSION
  s.authors     = ["Blake Hilscher", "Jason Byck"]
  s.email       = ["blake@hilscher.ca", "jbyck@quandl.com"]
  s.homepage    = "https://www.quandl.com/"
  s.license     = "MIT"
  s.summary     = "Quandl cassandra interface."
  s.description = "Quandl cassandra interface. CQL."

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_development_dependency "rake", "~> 10.0"
  s.add_development_dependency "rspec", "~> 2.13"
  s.add_development_dependency "factory_girl_rails"
  s.add_development_dependency "fivemat", "~> 1.2"
  s.add_development_dependency "pry"
  s.add_development_dependency "berkshelf", ">= 3"

  s.add_runtime_dependency "quandl_data", "~> 1.4"
  s.add_runtime_dependency "activemodel", ">= 3.0.0"

  s.add_runtime_dependency "colorize", '~> 0.5'
  s.add_runtime_dependency "facter", "~> 1.7.3"
  s.add_runtime_dependency "scope_composer", "~> 0.4"
  s.add_runtime_dependency 'cql-rb', '~> 1.1'
end