require 'spec_helper'

describe Quandl::Cassandra::Base::Connection do
  
  describe ".reset_connection" do

    it "should raise Cql::QueryError" do
      expect{ 
        Quandl::Cassandra.configuration.keyspace = 'missing_keyspace'
        Post.reset_connection 
      }.to raise_error(Cql::QueryError)
    end    
  end
  
  describe ".find" do
    it "should raise Cql::QueryError" do
      expect{ Post.find(1) }.to raise_error(Cql::QueryError)
    end
  end
  
  after(:all) do
    Quandl::Cassandra.configuration.keyspace = 'quandl_cassandra_test'
    Quandl::Cassandra::Base.reset_connection
  end
end