$:.unshift File.join(File.dirname(__FILE__), *%w[.. lib])

QUANDL_LOGGER = true

require "rspec"
require 'factory_girl'
require 'pry'
require 'securerandom'

require "quandl/cassandra"
require "quandl/fabricate"

require "config/cassandra"

require 'rspec/expectations'

# require config
Dir.glob( File.join( File.dirname(__FILE__), 'config/**/*.rb' ) ).each{|f| require(f) }

# require expectations
Dir.glob( File.join( File.dirname(__FILE__), 'expectations/**/*.rb' ) ).each{|f| require(f) }

# require factories
Dir.glob( File.join( File.dirname(__FILE__), 'factories/**/*.rb' ) ).each{|f| require(f) }

RSpec.configure do |config|
  config.include FactoryGirl::Syntax::Methods
end

# binding.pry